WebSphereWebXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ibm.websphere.web.WebSphereWebXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ibm.websphere.web
Class WebSphereWebXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ibm.websphere.web.WebSphereWebXmlSubTask

All Implemented Interfaces:
  Serializable

public class WebSphereWebXmlSubTask
extends XmlSubTask

Generates WebSphere specific deployment descriptors for Web modules. The following files are generated: ibm-web-bnd.xmi and ibm-web-ext.xmi.

NOTE: Since the WebSphere specific deployment descriptors depend on that id's are set in the web.xml file you must genererate it with useIds set to true, e.g. `<deploymentdescriptor useIds="true"/>`.

This Ant task defines the following attributes (the rest of the attributes in the list below comes from its baseclass):

- virtualHostName
- reloadInterval
- reloadingEnabled
- defaultErrorPage
- additionalClassPath
- fileServingEnabled
- directoryBrowsingEnabled
- serveServletsByClassnameEnabled
- preCompileJSPs
- autoRequestEncoding
- autoResponseEncoding
- autoLoadFilters

NOTE: All attributes except "virtualHostName" are IBM specific WebSphere extensions to the web.xml file and are the same as the attributes that can be found in the IBM WSAD wizard (v5.1.2) for Web Deployment Descriptors (see tab "Extensions" and section "General")

Version:
  $Revision: 1.8 $
Author:
  Ed Ward, Magnus Larsson
See Also:
  Serialized Form
ant.element
  display-name="WebSphere" name="webspherewebxml" parent="xdoclet.modules.web.WebDocletTask"
created
  22 August 2002

Nested Class Summary

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WebSphereWebXmlSubTask()`

Method Summary
`protected void` | `engineStarted()` TODO: Describe what the method does
`void` | `execute()` Called by xdoclet to execute the subtask.
`String` | `getAdditionalClassPath()`
`String` | `getAutoLoadFilters()`
`String` | `getAutoRequestEncoding()`
`String` | `getAutoResponseEncoding()`
`String` | `getDefaultErrorPage()`
`String` | `getDirectoryBrowsingEnabled()`
`String` | `getFileServingEnabled()`
`String` | `getPreCompileJSPs()`
`String` | `getReloadingEnabled()`
`String` | `getReloadInterval()`
`String` | `getServeServletsByClassnameEnabled()`
`String` | `getVirtualHostName()`
`void` | `setAdditionalClassPath(String additionalClassPath)` Specifies an additional class path that will be used to reference resources outside of those specified in the archive.
`void` | `setAutoLoadFilters(String autoLoadFilters)` See IBM WebSphere documentation regarding this attribute.
`void` | `setAutoRequestEncoding(String autoRequestEncoding)` See IBM WebSphere documentation regarding this attribute.
`void` | `setAutoResponseEncoding(String autoResponseEncoding)` See IBM WebSphere documentation regarding this attribute.
`void` | `setDefaultErrorPage(String defaultErrorPage)` Specifies a file name for the default error page.
`void` | `setDirectoryBrowsingEnabled(String directoryBrowsingEnabled)` Specifies whether directory browsing is enabled.
`void` | `setFileServingEnabled(String fileServingEnabled)` Specifies whether file serving is enabled.
`void` | `setPreCompileJSPs(String preCompileJSPs)` Specifies wheter JSP pages will be precompiled at deploy time or not.
`void` | `setReloadingEnabled(String reloadingEnabled)` Specifies whether reloading is enabled.
`void` | `setReloadInterval(String reloadInterval)` A Reload Interval.
`void` | `setServeServletsByClassnameEnabled(String serveServletsByClassnameEnabled)` Specifies whether a servlet can be served by requesting its class name.
`void` | `setVirtualHostName(String name)` The virtual host name.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSphereWebXmlSubTask

    public WebSphereWebXmlSubTask()

Method Detail

### getVirtualHostName

    public String getVirtualHostName()

  Returns:
    the virtual host name
  See Also:
    `setVirtualHostName(String)`

### getReloadInterval

    public String getReloadInterval()

  Returns:
    the reload interval
  See Also:
    `setReloadInterval(String)`

### getReloadingEnabled

    public String getReloadingEnabled()

  Returns:
  See Also:
    `setReloadingEnabled(String)`

### getDefaultErrorPage

    public String getDefaultErrorPage()

  Returns:
  See Also:
    `setDefaultErrorPage(String)`

### getAdditionalClassPath

    public String getAdditionalClassPath()

  Returns:
  See Also:
    `setAdditionalClassPath(String)`

### getFileServingEnabled

    public String getFileServingEnabled()

  Returns:
  See Also:
    `setFileServingEnabled(String)`

### getDirectoryBrowsingEnabled

    public String getDirectoryBrowsingEnabled()

  Returns:
  See Also:
    `setDirectoryBrowsingEnabled(String)`

### getServeServletsByClassnameEnabled

    public String getServeServletsByClassnameEnabled()

  Returns:
  See Also:
    `setServeServletsByClassnameEnabled(String)`

### getPreCompileJSPs

    public String getPreCompileJSPs()

  Returns:
  See Also:
    `setPreCompileJSPs(String)`

### getAutoRequestEncoding

    public String getAutoRequestEncoding()

  Returns:
  See Also:
    `setAutoRequestEncoding(String)`

### getAutoResponseEncoding

    public String getAutoResponseEncoding()

  Returns:
  See Also:
    `setAutoResponseEncoding(String)`

### getAutoLoadFilters

    public String getAutoLoadFilters()

  Returns:
  See Also:
    `setAutoLoadFilters(String)`

### setVirtualHostName

    public void setVirtualHostName(String name)

  The virtual host name. "A virtual host is a configuration enabling a single host machine to resemble multiple host machines. This property allows you to bind the application to a virtual host in order to enable execution on that virtual host."

  Parameters:
    `name` - the virtual host name

### setReloadInterval

    public void setReloadInterval(String reloadInterval)

  A Reload Interval. Every 'reload interval' seconds, the web application's files are checked and reloaded if they have been modified. Requires that reloadingEnabled is set to true.

  Parameters:
    `reloadInterval` -
  See Also:
    `setReloadingEnabled(String)`

### setReloadingEnabled

    public void setReloadingEnabled(String reloadingEnabled)

  Specifies whether reloading is enabled.

  Parameters:
    `reloadingEnabled` -

### setDefaultErrorPage

    public void setDefaultErrorPage(String defaultErrorPage)

  Specifies a file name for the default error page. If no other error page is specified in the application, this error page is used.

  Parameters:
    `defaultErrorPage` -

### setAdditionalClassPath

    public void setAdditionalClassPath(String additionalClassPath)

  Specifies an additional class path that will be used to reference resources outside of those specified in the archive.

  Parameters:
    `additionalClassPath` -

### setFileServingEnabled

    public void setFileServingEnabled(String fileServingEnabled)

  Specifies whether file serving is enabled. File serving allows the application to serve static file types, such as HTML and GIF. File serving can be disabled if, for example, the application contains only dynamic components.

  Parameters:
    `fileServingEnabled` -

### setDirectoryBrowsingEnabled

    public void setDirectoryBrowsingEnabled(String directoryBrowsingEnabled)

  Specifies whether directory browsing is enabled. Directory browsing allows the application to browse disk directories. Directory browsing can be disabled if, for example, you want to protect data.

  Parameters:
    `directoryBrowsingEnabled` -

### setServeServletsByClassnameEnabled

    public void setServeServletsByClassnameEnabled(String serveServletsByClassnameEnabled)

  Specifies whether a servlet can be served by requesting its class name. Usually, servlets are served only through a URI reference. The class name is the actual name of the servlet on disk. For example, a file named SnoopServlet.java compiles into SnoopServlet.class. (This is the class name.) SnoopServlet.class is normally invoked by specifying snoop in the URI. However, if Serve Servlets by Classname is enabled, the servlet is invoked by specifying SnoopServlet.

  Parameters:
    `serveServletsByClassnameEnabled` -

### setPreCompileJSPs

    public void setPreCompileJSPs(String preCompileJSPs)

  Specifies wheter JSP pages will be precompiled at deploy time or not.

  Parameters:
    `preCompileJSPs` -

### setAutoRequestEncoding

    public void setAutoRequestEncoding(String autoRequestEncoding)

  See IBM WebSphere documentation regarding this attribute.

  Parameters:
    `autoRequestEncoding` -

### setAutoResponseEncoding

    public void setAutoResponseEncoding(String autoResponseEncoding)

  See IBM WebSphere documentation regarding this attribute.

  Parameters:
    `autoResponseEncoding` -

### setAutoLoadFilters

    public void setAutoLoadFilters(String autoLoadFilters)

  See IBM WebSphere documentation regarding this attribute.

  Parameters:
    `autoLoadFilters` -

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Called by xdoclet to execute the subtask.

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  TODO: Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD